Scilab Function

integrate - intégration numérique

### Calling Sequence

  `[x]=integrate(expr,v,x0,x1 [,ea [,er]])`

### Parameters

- `expr` : chaîne de caractères (expression scilab)
- `v` : chaîne de caractères (variable d'intégration)
- `x0,x1` : nombres réels (bornes d'intégration)
- `ea` : nombre réel (borne sur l'erreur absolue) par défaut : 0
- `er` : nombre réel, (borne sur l'erreur relative) par défaut : 1.d-8

### Description

calcule :

                           /x1
                          [
                      x = I  f(v)dv
                          ]
                         /x0

L'approximation satisfait (on l'espère) l'affirmation suivante sur l'erreur : `abs(I-x)<= max(ea,er*abs(I))` où I représente la valeur exacte de l'intégrale.

### Examples

    integrate('sin(x)','x',0,%pi)
    integrate(['if x==0 then 1,';
               'else sin(x)/x,end'],'x',0,%pi)

### See Also

`intg` , `inttrap` , `intsplin` , `ode` ,